For the complete documentation index, see llms.txt. This page is also available as Markdown.

Events

get

Retrieve Event List.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/
GET /api/v1/dashboard/events/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}
get

Retrieve Event Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/{event_id}/
GET /api/v1/dashboard/events/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "description": "text",
    "cover_image": "text",
    "banner_image": "text",
    "category_id": "text",
    "category_name": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "scope_org": {
      "id": "text",
      "title": "text",
      "org_type": "text"
    },
    "scope_ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "scope_ci_id": "text",
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "registration_url": "text",
    "registration_deadline": "2026-01-01T00:00:00.000Z",
    "min_karma": 1,
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "tags": null,
    "user_limit": 1,
    "linked_tasks": "text",
    "co_owners": "text",
    "collaborators": "text",
    "viewer_interest_status": "text",
    "viewer_can_access_registration": "text",
    "viewer_access_blocked_reason": "text",
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "updated_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Event Interest.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/{event_id}/interest/
POST /api/v1/dashboard/events/{event_id}/interest/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "event_id": "text",
    "user_id": "text",
    "status": "text"
  }
}
delete

Delete Event Interest.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

Interest removed successfully.

No content

delete/api/v1/dashboard/events/{event_id}/interest/
DELETE /api/v1/dashboard/events/{event_id}/interest/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Interest removed successfully.

No content

get

GET /events/admin/ Returns ALL events on the platform (all statuses, including cancelled). Supports additional admin filters: organiser_type, created_by.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/events/admin/
GET /api/v1/dashboard/events/admin/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post

POST /events/admin/<event_id>/approve/ Advances a pending event through the approval pipeline.

Transitions: pending_campus_approval → pending_approval pending_approval → published pending_mentor_approval → published

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/events/admin/{event_id}/approve/
POST /api/v1/dashboard/events/admin/{event_id}/approve/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

patch

PATCH /events/admin/<event_id>/feature/ Toggles is_featured on/off. Optionally accepts body: { "is_featured": true/false } If not provided, current value is toggled.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

No response body

No content

patch/api/v1/dashboard/events/admin/{event_id}/feature/
PATCH /api/v1/dashboard/events/admin/{event_id}/feature/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post

POST /events/admin/<event_id>/reject/ Rejects a pending event, changing its status to 'rejected'. Body: { "reason": "..." }

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/events/admin/{event_id}/reject/
POST /api/v1/dashboard/events/admin/{event_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

Retrieve Event Calendar.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/calendar/
GET /api/v1/dashboard/events/calendar/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "status": "draft",
    "start": "2026-01-01T00:00:00.000Z",
    "end": "2026-01-01T00:00:00.000Z",
    "venue_type": "physical",
    "organiser_name": "text",
    "category_name": "text",
    "is_featured": true
  }
}
get

Retrieve Campus I G Event List.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
campus_ig_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/campus-ig/{campus_ig_id}/
GET /api/v1/dashboard/events/campus-ig/{campus_ig_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}
get

Retrieve Campus Event List.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
campus_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/campus/{campus_id}/
GET /api/v1/dashboard/events/campus/{campus_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}
post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/events/campus/{event_id}/approve/
POST /api/v1/dashboard/events/campus/{event_id}/approve/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/events/campus/{event_id}/reject/
POST /api/v1/dashboard/events/campus/{event_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

Retrieve Company Event List.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
company_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/company/{company_id}/
GET /api/v1/dashboard/events/company/{company_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}

Retrieve Event Featured.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/featured/
GET /api/v1/dashboard/events/featured/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}
get

Retrieve I G Event List.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
ig_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/ig/{ig_id}/
GET /api/v1/dashboard/events/ig/{ig_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}
get

Retrieve Cluster Event List.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
clusterstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/ig/cluster/{cluster}/
GET /api/v1/dashboard/events/ig/cluster/{cluster}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}

Retrieve Event Featured.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/is-featured/
GET /api/v1/dashboard/events/is-featured/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}
get

Retrieve Manage Event List Create.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/
GET /api/v1/dashboard/events/manage/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "cover_image": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "min_karma": 1,
    "tags": null,
    "user_limit": 1,
    "category_id": "text",
    "category_name": "text",
    "viewer_interest_status": "text"
  }
}
post

Create Manage Event List Create.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Body

Input serializer for POST /manage/ and PUT/PATCH /manage//.

titlestring · max: 200Required
descriptionstring · nullableOptional
cover_imagestring · max: 512 · nullableOptional
banner_imagestring · max: 512 · nullableOptional
categorystring · nullableOptional
start_datetimestring · date-timeRequired
end_datetimestring · date-timeRequired
registration_urlstring · max: 500 · nullableOptional
registration_deadlinestring · date-time · nullableOptional
min_karmainteger · int64 · min: -9223372036854776000 · max: 9223372036854776000 · nullableOptional
venue_typestring · enumOptional
  • physical - Physical
  • online - Online
  • hybrid - Hybrid
Possible values:
venue_addressstring · max: 300 · nullableOptional
venue_citystring · max: 100 · nullableOptional
venue_maps_urlstring · max: 500 · nullableOptional
venue_online_linkstring · max: 500 · nullableOptional
venue_platformstring · max: 100 · nullableOptional
scopestring · enumOptional
  • global - Global
  • campus - Campus
  • ig - Interest Group
  • campus_ig - Campus IG
  • company - Company
Possible values:
scope_orgstring · nullableOptional
scope_igstring · nullableOptional
scope_ci_idstring · max: 36 · nullableOptional
organiser_typestring · enumOptional
  • global_ig - Global IG
  • campus_ig - Campus IG
  • campus - Campus
  • company - Company
  • admin - Admin
Possible values:
organiser_igstring · nullableOptional
organiser_orgstring · nullableOptional
organiser_ci_idstring · max: 36 · nullableOptional
is_collaborationbooleanOptional
is_featuredbooleanOptional
tagsany · nullableOptional
user_limitinteger · int64 · max: 4294967295Optional
event_scopestring · enumOptional
  • maker - Maker
  • coder - Coder
  • manager - Manager
  • creative - Creative
Possible values:
event_typestring · enumOptional
  • hackathon - Hackathon
  • workshop - Workshop
  • webinar - Webinar
  • seminar - Seminar
  • bootcamp - Bootcamp
  • meetup - Meetup
  • conference - Conference
  • competition - Competition
  • ideathon - Ideathon
  • cultural_event - Cultural Event
  • sports_event - Sports Event
  • community_event - Community Event
  • expo - Expo
  • networking_event - Networking Event
  • tech_talk - Tech Talk
  • others - Others
Possible values:
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/manage/
POST /api/v1/dashboard/events/manage/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 708

{
  "title": "text",
  "description": "text",
  "cover_image": "text",
  "banner_image": "text",
  "category": "text",
  "start_datetime": "2026-01-01T00:00:00.000Z",
  "end_datetime": "2026-01-01T00:00:00.000Z",
  "registration_url": "text",
  "registration_deadline": "2026-01-01T00:00:00.000Z",
  "min_karma": 1,
  "venue_type": "physical",
  "venue_address": "text",
  "venue_city": "text",
  "venue_maps_url": "text",
  "venue_online_link": "text",
  "venue_platform": "text",
  "scope": "global",
  "scope_org": "text",
  "scope_ig": "text",
  "scope_ci_id": "text",
  "organiser_type": "global_ig",
  "organiser_ig": "text",
  "organiser_org": "text",
  "organiser_ci_id": "text",
  "is_collaboration": true,
  "is_featured": true,
  "tags": null,
  "user_limit": 1,
  "event_scope": "maker",
  "event_type": "hackathon"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "description": "text",
    "cover_image": "text",
    "banner_image": "text",
    "category_id": "text",
    "category_name": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "scope_org": {
      "id": "text",
      "title": "text",
      "org_type": "text"
    },
    "scope_ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "scope_ci_id": "text",
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "registration_url": "text",
    "registration_deadline": "2026-01-01T00:00:00.000Z",
    "min_karma": 1,
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "tags": null,
    "user_limit": 1,
    "linked_tasks": "text",
    "co_owners": "text",
    "collaborators": "text",
    "viewer_interest_status": "text",
    "viewer_can_access_registration": "text",
    "viewer_access_blocked_reason": "text",
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "updated_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Manage Event Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/{event_id}/
GET /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "description": "text",
    "cover_image": "text",
    "banner_image": "text",
    "category_id": "text",
    "category_name": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "scope_org": {
      "id": "text",
      "title": "text",
      "org_type": "text"
    },
    "scope_ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "scope_ci_id": "text",
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "registration_url": "text",
    "registration_deadline": "2026-01-01T00:00:00.000Z",
    "min_karma": 1,
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "tags": null,
    "user_limit": 1,
    "linked_tasks": "text",
    "co_owners": "text",
    "collaborators": "text",
    "viewer_interest_status": "text",
    "viewer_can_access_registration": "text",
    "viewer_access_blocked_reason": "text",
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "updated_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
put

Update Manage Event Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/events/manage/{event_id}/
PUT /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "description": "text",
    "cover_image": "text",
    "banner_image": "text",
    "category_id": "text",
    "category_name": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "scope_org": {
      "id": "text",
      "title": "text",
      "org_type": "text"
    },
    "scope_ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "scope_ci_id": "text",
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "registration_url": "text",
    "registration_deadline": "2026-01-01T00:00:00.000Z",
    "min_karma": 1,
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "tags": null,
    "user_limit": 1,
    "linked_tasks": "text",
    "co_owners": "text",
    "collaborators": "text",
    "viewer_interest_status": "text",
    "viewer_can_access_registration": "text",
    "viewer_access_blocked_reason": "text",
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "updated_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Manage Event Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/events/manage/{event_id}/
DELETE /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "description": "text",
    "cover_image": "text",
    "banner_image": "text",
    "category_id": "text",
    "category_name": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "scope_org": {
      "id": "text",
      "title": "text",
      "org_type": "text"
    },
    "scope_ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "scope_ci_id": "text",
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "registration_url": "text",
    "registration_deadline": "2026-01-01T00:00:00.000Z",
    "min_karma": 1,
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "tags": null,
    "user_limit": 1,
    "linked_tasks": "text",
    "co_owners": "text",
    "collaborators": "text",
    "viewer_interest_status": "text",
    "viewer_can_access_registration": "text",
    "viewer_access_blocked_reason": "text",
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "updated_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
patch

Partially update Manage Event Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/events/manage/{event_id}/
PATCH /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "slug": "text",
    "description": "text",
    "cover_image": "text",
    "banner_image": "text",
    "category_id": "text",
    "category_name": "text",
    "status": "draft",
    "scope": "global",
    "event_scope": "maker",
    "event_type": "hackathon",
    "scope_org": {
      "id": "text",
      "title": "text",
      "org_type": "text"
    },
    "scope_ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "scope_ci_id": "text",
    "organizer": {
      "organiser_type": "text",
      "organiser_ig": "text",
      "organiser_campus": "text",
      "organiser_company": "text",
      "organiser_ci_id": "text"
    },
    "venue": {
      "venue_type": "text",
      "venue_address": "text",
      "venue_city": "text",
      "venue_maps_url": "https://example.com",
      "venue_online_link": "text",
      "venue_platform": "text"
    },
    "start_datetime": "2026-01-01T00:00:00.000Z",
    "end_datetime": "2026-01-01T00:00:00.000Z",
    "registration_url": "text",
    "registration_deadline": "2026-01-01T00:00:00.000Z",
    "min_karma": 1,
    "is_featured": true,
    "is_collaboration": true,
    "interest_count": 1,
    "tags": null,
    "user_limit": 1,
    "linked_tasks": "text",
    "co_owners": "text",
    "collaborators": "text",
    "viewer_interest_status": "text",
    "viewer_can_access_registration": "text",
    "viewer_access_blocked_reason": "text",
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "updated_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve analytics and performance stats for an event.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/{event_id}/analytics/
GET /api/v1/dashboard/events/manage/{event_id}/analytics/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "summary": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "interest_trend": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "task_breakdown": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  }
}
get

Retrieve Manage Event Co Owner.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/{event_id}/co-owners/
GET /api/v1/dashboard/events/manage/{event_id}/co-owners/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_id": "text",
    "user": "text",
    "added_by": "text",
    "added_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Manage Event Co Owner.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/manage/{event_id}/co-owners/
POST /api/v1/dashboard/events/manage/{event_id}/co-owners/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_id": "text",
    "user": "text",
    "added_by": "text",
    "added_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Manage Event Co Owner Remove.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
co_owner_idstringRequired
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/events/manage/{event_id}/co-owners/{co_owner_id}/
DELETE /api/v1/dashboard/events/manage/{event_id}/co-owners/{co_owner_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_id": "text",
    "user": "text",
    "added_by": "text",
    "added_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Manage Event Collaborator.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/{event_id}/collaborators/
GET /api/v1/dashboard/events/manage/{event_id}/collaborators/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_type": "user_ticket",
    "entity_id": "text",
    "entity_detail": "text",
    "role_label": "text",
    "invite_status": "pending",
    "rejection_reason": "text",
    "responded_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Manage Event Collaborator.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/manage/{event_id}/collaborators/
POST /api/v1/dashboard/events/manage/{event_id}/collaborators/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_type": "user_ticket",
    "entity_id": "text",
    "entity_detail": "text",
    "role_label": "text",
    "invite_status": "pending",
    "rejection_reason": "text",
    "responded_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Manage Event Collaborator Remove.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
collaborator_idstringRequired
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/
DELETE /api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_type": "user_ticket",
    "entity_id": "text",
    "entity_detail": "text",
    "role_label": "text",
    "invite_status": "pending",
    "rejection_reason": "text",
    "responded_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Manage Event Collaborator Accept.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
collaborator_idstringRequired
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/accept/
POST /api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/accept/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_type": "user_ticket",
    "entity_id": "text",
    "entity_detail": "text",
    "role_label": "text",
    "invite_status": "pending",
    "rejection_reason": "text",
    "responded_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Manage Event Collaborator Reject.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
collaborator_idstringRequired
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/reject/
POST /api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_type": "user_ticket",
    "entity_id": "text",
    "entity_detail": "text",
    "role_label": "text",
    "invite_status": "pending",
    "rejection_reason": "text",
    "responded_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Manage Event Publish.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/manage/{event_id}/publish/
POST /api/v1/dashboard/events/manage/{event_id}/publish/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "status": "text"
  }
}
get

List all tasks linked to an event.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/{event_id}/tasks/
GET /api/v1/dashboard/events/manage/{event_id}/tasks/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": [
    {
      "id": "text",
      "hashtag": "text",
      "title": "text",
      "description": "text",
      "karma": 1,
      "approval_status": "approved",
      "active": true,
      "type": "text",
      "ig": {
        "id": "text",
        "name": "text",
        "icon": "text"
      },
      "level": "text",
      "channel": "text",
      "org": "text",
      "variable_karma": true,
      "usage_count": 1,
      "bonus_time": "2026-01-01T00:00:00.000Z",
      "bonus_karma": 1,
      "created_by": {
        "id": "text",
        "full_name": "text",
        "muid": "text",
        "profile_pic": "text"
      },
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}
post

Create a new task linked to an event. Task will require admin approval.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Body

Write serializer for creating/updating event-linked tasks.

hashtagstring · max: 75Required
titlestring · max: 75Required
descriptionstring · nullableOptional
karmainteger · min: -2147483648 · max: 2147483647 · nullableOptional
typestringRequired
igstring · nullableOptional
levelstring · nullableOptional
orgstring · nullableOptional
bonus_timestring · date-time · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/events/manage/{event_id}/tasks/
POST /api/v1/dashboard/events/manage/{event_id}/tasks/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 158

{
  "hashtag": "text",
  "title": "text",
  "description": "text",
  "karma": 1,
  "type": "text",
  "ig": "text",
  "level": "text",
  "org": "text",
  "bonus_time": "2026-01-01T00:00:00.000Z"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "hashtag": "text",
    "title": "text",
    "description": "text",
    "karma": 1,
    "approval_status": "approved",
    "active": true,
    "type": "text",
    "ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "level": "text",
    "channel": "text",
    "org": "text",
    "variable_karma": true,
    "usage_count": 1,
    "bonus_time": "2026-01-01T00:00:00.000Z",
    "bonus_karma": 1,
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve a specific task linked to an event.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
task_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/
GET /api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "hashtag": "text",
    "title": "text",
    "description": "text",
    "karma": 1,
    "approval_status": "approved",
    "active": true,
    "type": "text",
    "ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "level": "text",
    "channel": "text",
    "org": "text",
    "variable_karma": true,
    "usage_count": 1,
    "bonus_time": "2026-01-01T00:00:00.000Z",
    "bonus_karma": 1,
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete a task linked to an event.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
task_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/
DELETE /api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "message": "text"
  }
}
patch

Partially update a task linked to an event.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
task_idstringRequired
Body

Write serializer for creating/updating event-linked tasks.

hashtagstring · max: 75Optional
titlestring · max: 75Optional
descriptionstring · nullableOptional
karmainteger · min: -2147483648 · max: 2147483647 · nullableOptional
typestringOptional
igstring · nullableOptional
levelstring · nullableOptional
orgstring · nullableOptional
bonus_timestring · date-time · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/
PATCH /api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 158

{
  "hashtag": "text",
  "title": "text",
  "description": "text",
  "karma": 1,
  "type": "text",
  "ig": "text",
  "level": "text",
  "org": "text",
  "bonus_time": "2026-01-01T00:00:00.000Z"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "hashtag": "text",
    "title": "text",
    "description": "text",
    "karma": 1,
    "approval_status": "approved",
    "active": true,
    "type": "text",
    "ig": {
      "id": "text",
      "name": "text",
      "icon": "text"
    },
    "level": "text",
    "channel": "text",
    "org": "text",
    "variable_karma": true,
    "usage_count": 1,
    "bonus_time": "2026-01-01T00:00:00.000Z",
    "bonus_karma": 1,
    "created_by": {
      "id": "text",
      "full_name": "text",
      "muid": "text",
      "profile_pic": "text"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve dropdown metadata for event task forms.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/manage/{event_id}/tasks/meta/
GET /api/v1/dashboard/events/manage/{event_id}/tasks/meta/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "task_types": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "interest_groups": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "levels": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "channels": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "organizations": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  }
}
post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/events/mentor/{event_id}/approve/
POST /api/v1/dashboard/events/mentor/{event_id}/approve/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
event_idstringRequired
Responses
200

No response body

No content

post/api/v1/dashboard/events/mentor/{event_id}/reject/
POST /api/v1/dashboard/events/mentor/{event_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

Retrieve Event Categories.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/meta/categories/
GET /api/v1/dashboard/events/meta/categories/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": [
    {
      "id": "text",
      "name": "text",
      "description": "text"
    }
  ]
}
get

Retrieve Collaboration Targets.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/meta/collaboration-targets/
GET /api/v1/dashboard/events/meta/collaboration-targets/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "ig": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "campus": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "company": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "campus_ig": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  }
}
get

Retrieve Event Types and Scopes.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/meta/event-type-scope/
GET /api/v1/dashboard/events/meta/event-type-scope/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "event_type": [
      "text"
    ],
    "event_scope": [
      "text"
    ]
  }
}
get

Retrieve Organizer Options.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/meta/organizer-options/
GET /api/v1/dashboard/events/meta/organizer-options/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "can_create_as_ig": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "can_create_as_campus_ig": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "can_create_as_campus": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "can_create_as_company": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "can_create_as_admin": true,
    "campus_context": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
get

Retrieve My Event Invites.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/my-invites/
GET /api/v1/dashboard/events/my-invites/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "entity_type": "user_ticket",
    "entity_id": "text",
    "entity_detail": "text",
    "role_label": "text",
    "invite_status": "pending",
    "rejection_reason": "text",
    "responded_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "event_id": "text",
    "event_title": "text",
    "event_start_datetime": "2026-01-01T00:00:00.000Z",
    "event_cover_image": "text"
  }
}
get

Scope-aware list of tasks for events the caller can access. Unauthenticated callers receive only global-event tasks.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/events/tasks/
GET /api/v1/dashboard/events/tasks/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": [
    {
      "id": "text",
      "hashtag": "text",
      "title": "text",
      "description": "text",
      "karma": 1,
      "channel": "text",
      "discord_id": "text",
      "type": "text",
      "variable_karma": true,
      "level": "text",
      "ig": "text",
      "event": "text",
      "event_id": "text"
    }
  ]
}

Last updated

Was this helpful?